<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: vx_tutorial_kernels.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_tutorial_kernels.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Definition of static kernel IDs</p>
<p>When creating target kernels, unique static kernel IDs are required so that both HOST side and target side register the kernel function against the same kernel ID.</p>
<p>This file defines these static kernel ID.</p>
<p>In order to make the static kernel IDs unique, they are formed using the below indetifiers</p>
<ul>
<li>Vendor TI - VX_ID_TI (defined in VX/vx_vendors.h)</li>
<li>Library ID - TIVX_LIBRARY_TUTORIAL_BASE (defined in TI/tivx_kernels.h)</li>
<li>Kernel function ID - TIVX_TUTORIAL_KERNEL_xxx (defined in this file)</li>
</ul>
<p>VX_KERNEL_BASE macro is used to make the static kernel ID using Vendor TI, Library ID and function ID as input </p>

<p>Definition in file <a class="el" href="vx__tutorial__kernels_8h_source.html">vx_tutorial_kernels.h</a>.</p>

<p><a href="vx__tutorial__kernels_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__tutorial__kernels_8h.html#ad313f6307d27fea48432e16f1577d7be">tivx_kernel_tutorial_e</a> { <a class="el" href="vx__tutorial__kernels_8h.html#ad313f6307d27fea48432e16f1577d7bea81087035def5daa8186e02bc1f41979e">TIVX_TUTORIAL_KERNEL_PHASE_RGB</a> =  VX_KERNEL_BASE(VX_ID_TI, TIVX_LIBRARY_TUTORIAL_BASE) + 0x0
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>The list of kernels supported in this tutorial. </p>
 <a href="vx__tutorial__kernels_8h.html#ad313f6307d27fea48432e16f1577d7be">More...</a><br/></td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ad313f6307d27fea48432e16f1577d7be"></a><!-- doxytag: member="vx_tutorial_kernels.h::tivx_kernel_tutorial_e" ref="ad313f6307d27fea48432e16f1577d7be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="vx__tutorial__kernels_8h.html#ad313f6307d27fea48432e16f1577d7be">tivx_kernel_tutorial_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The list of kernels supported in this tutorial. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ad313f6307d27fea48432e16f1577d7bea81087035def5daa8186e02bc1f41979e"></a><!-- doxytag: member="TIVX_TUTORIAL_KERNEL_PHASE_RGB" ref="ad313f6307d27fea48432e16f1577d7bea81087035def5daa8186e02bc1f41979e" args="" -->TIVX_TUTORIAL_KERNEL_PHASE_RGB</em>&nbsp;</td><td>
<p>Converts Phase output to RGB image. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="vx__tutorial__kernels_8h_source.html#l00092">92</a> of file <a class="el" href="vx__tutorial__kernels_8h_source.html">vx_tutorial_kernels.h</a>.</p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
